Skip to main content
GET
Every correction made to an energy reading: which reading, what its register and consumption were before and after, who…

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
reading_id
string
supply_point_id
string
supply_point_code
string
supply_point_name
string
site_id
string
unit_code
string
reading_at
string
register_was
string
register_now
string
consumption_was
string
consumption_now
string
reason
string
corrected_at
string
corrected_by_user_id
string
corrected_by_name
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

consumption_now
number<numeric>
consumption_was
number<numeric>
corrected_at
string<timestamp with time zone>
corrected_by_name
string<character varying>
Maximum string length: 200
corrected_by_user_id
string<uuid>

Note: This is a Foreign Key to capex_invite_candidates.id.

id
string<uuid>

Note: This is a Primary Key.

reading_at
string<timestamp with time zone>
reading_id
string<uuid>

Note: This is a Foreign Key to consumption_readings.id.

reason
string<text>
register_now
number<numeric>
register_was
number<numeric>
site_id
string<uuid>

Note: This is a Foreign Key to entry_currencies.for_site_id.

supply_point_code
string<character varying>
Maximum string length: 60
supply_point_id
string<uuid>

Note: This is a Foreign Key to supply_points.id.

supply_point_name
string<character varying>
Maximum string length: 150
unit_code
string<character varying>
Maximum string length: 30